Search found 348 matches

Go to advanced search

by fosselius
Sun Dec 10, 2017 1:12 pm
Forum: Assembly
Topic: Assembly3 preview
Replies: 1534
Views: 167195

Re: Assembly3 preview

Can you get information about DOF between each objrct from the solver? I am working on a "RobotCreator" workbench where the user manually place links and joints and define limits and orientation for the joints. Right now it exports a SDF file that you can load in Gazebo (robot simulator). I am curre...
by fosselius
Thu Dec 07, 2017 6:43 am
Forum: Assembly
Topic: Assembly3 preview
Replies: 1534
Views: 167195

Re: Assembly3 preview

As I understand it, the five "biggest" cad programs as of today seems all using the principle of breaking a product into files , each representing one fysical part, e.g. a nut. This file then becomes relatively easy to exchange with a PDM system. In stead of separate files, the limitation now is en...
by fosselius
Fri Nov 03, 2017 1:03 pm
Forum: Developers corner
Topic: FeaturePython shape, union sphere and cylinder
Replies: 2
Views: 408

Re: FeaturePython shape, union sphere and cylinder

Now this was what i was after! Thank you! fp.Shape = Part.makeSphere(1).fuse(Part.makeCylinder(2,0.2,App.Vector(0,0,-0.1),App.Vector(0,0,1),180)) Screenshot from 2017-11-03 13-56-51.png now its time for pose ;) Here is an example of the "joint" structure i try to visualize and will later generate fr...
by fosselius
Fri Nov 03, 2017 8:11 am
Forum: Developers corner
Topic: FeaturePython shape, union sphere and cylinder
Replies: 2
Views: 408

FeaturePython shape, union sphere and cylinder

I want to create a visual shape in a FeaturePython that consists of a union of a cylinder and a sphere, what is the best way to achieve this? The shape is going to visualize a joints orientation and limits in my "RobotCreator" workbench. Currently i only have a sphere that is implemented like this: ...
by fosselius
Wed Nov 01, 2017 11:31 am
Forum: Developers corner
Topic: URDF Workbench, robotics
Replies: 28
Views: 9396

Re: URDF Workbench, robotics

I made a new video to better show the current status of the project:

phpBB [video]
by fosselius
Thu Oct 05, 2017 7:32 pm
Forum: Developers corner
Topic: URDF Workbench, robotics
Replies: 28
Views: 9396

Re: URDF Workbench, robotics

Here is an small update, progress is slow as usual, but now i have something that can export to SDF with 3d shapes and joints . Joints are created by selecting two objects and then running the "createHingeJoint" script that will create a joint object that keeps track of parent/child, position, orien...
by fosselius
Sat Aug 12, 2017 5:32 am
Forum: Developers corner
Topic: Some FreeCAD development stats
Replies: 56
Views: 9354

Re: Some FreeCAD development stats

have actually been waiting for this update ;) Thanks!
by fosselius
Tue Aug 08, 2017 1:39 pm
Forum: Developers corner
Topic: Center of a cube
Replies: 9
Views: 1804

Re: Center of a cube

There are primitives and then there are cubes ;) i blame time-cube: http://timecube.2enp.com/ "EARTH HAS 4 CORNER SIMULTANEOUS 4-DAY TIME CUBE WITHIN SINGLE ROTATION. 4 CORNER DAYS PROVES 1 DAY 1 GOD IS TAUGHT EVIL. IGNORANCE OF TIMECUBE4 SIMPLE MATH IS RETARDATION AND EVIL EDUCATION DAMNATION. CUBE...
by fosselius
Sun Aug 06, 2017 10:28 am
Forum: Developers corner
Topic: Center of a cube
Replies: 9
Views: 1804

Re: Center of a cube

Make a macro that calculates delta between current pos and shape.centerofmass, then move the object accordingly.

I have already implemented something simular and can make a macro for this later if nobody beats me to it.
by fosselius
Fri Jul 28, 2017 2:23 am
Forum: Developers corner
Topic: PartDesign Hole feature
Replies: 67
Views: 10743

Re: PartDesign Hole feature

Think of a U-shaped solid with a datum plane in the middle. Then we should have 10 direction configurations? I am thinking: ←|→ , →|← , →|→ , ←|← , <-|- , -|->, |→ , |← , ←| , →| Should there be an distance offset field as well? How about not parallell sketch/shape relations? Where the shape is in ...

Go to advanced search